Subject: bug#33033: 27.0.50; [wishlist] Registers for non-file buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 30 Nov 2021 15:17:24 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Ah, I see.  Yes, then it makes sense to add a `buffer' form, too, I
> think?
>
> Does anybody object to this?  It seems about as useful as the `file'
> form...  And looking at the implementation in register.el, it looks
> pretty trivial to add.

I've now added this to Emacs 29.

As for the:

> E.g. (set-register ?l '(mode emacs-lisp)) could switch to the last
> recently used buffer in emacs-lisp mode.

I don't think that sounds generally useful enough, so I've not added
that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no